GLSA 200710-25 MLDonkey: Privilege escalation
Posted on: 10/25/2007 04:00 PM

A new security update has been released for Gentoo Linux - MLDonkey: Privilege escalation. Here the announcement:

Gentoo Linux Security Advisory GLSA 200710-25
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: High
Title: MLDonkey: Privilege escalation
Date: October 24, 2007
Bugs: #189412
ID: 200710-25

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

The Gentoo MLDonkey ebuild adds a user to the system with a valid login
shell and no password.

Background
==========

MLDonkey is a peer-to-peer filesharing client that connects to several
different peer-to-peer networks, including Overnet and BitTorrent.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 net-p2p/mldonkey lt; 2.9.0-r3 gt;= 2.9.0-r3

Description
===========

The Gentoo MLDonkey ebuild adds a user to the system named "p2p" so
that the MLDonkey service can run under a user with low privileges.
This user is created with a valid login shell and no password.

Impact
======

A remote attacker could log into a vulnerable system as the p2p user.
This would require an installed login service that permitted empty
passwords, such as SSH configured with the "PermitEmptyPasswords yes"
option, a local login console, or a telnet server.

Workaround
==========

See Resolution.

Resolution
==========

Change the p2p user's shell to disallow login. For example, as root run
the following command:

# usermod -s /bin/false p2p

NOTE: updating to the current MLDonkey ebuild will not remove this
vulnerability, it must be fixed manually. The updated ebuild is to
prevent this problem from occurring in the future.

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-200710-25.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
http://bugs.gentoo.org.

License
=======

Copyright 2007 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/glsa_200710_25_mldonkey_privilege_escalation.html)